Subject: bug#16061: closed (Re: bug#16061: Error in the message for src/shuf.c:73 in 8.22-pre3)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 06 Dec 2013 20:11:03 +0000

Your bug report

#16061: Error in the message for src/shuf.c:73 in 8.22-pre3

which was filed against the coreutils package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
16061: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=16061
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#16061: Error in the message for src/shuf.c:73 in 8.22-pre3
From: Pádraig Brady <[email-masked]>
To: Bernhard Voelker <[email-masked]>
Cc: Philipp Thomas <[email-masked]>, [email-masked], Paul Eggert <[email-masked]>
Date: Fri, 06 Dec 2013 20:09:51 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

On 12/06/2013 07:26 PM, Bernhard Voelker wrote:
> On 12/06/2013 06:57 PM, Paul Eggert wrote:
>> Here's a patch, which I've taken the liberty of pushing.
> 
> Thanks, I'm fine with this behavior.
> Minor nit: sc_long_lines is triggered.
> 
> BTW: I noticed another tiny flaw in the test (not related to
> your patch). The following fixes both.

good spot!

Please push.

Marking this bug as done.

thanks everyone,
Pádraig.

Subject: Error in the message for src/shuf.c:73 in 8.22-pre3
From: Philipp Thomas <[email-masked]>
To: [email-masked]
Date: Thu, 5 Dec 2013 21:54:04 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

The description for the -r option for shuf in 8.22-pre3 reads:

"  -r, --repetitions         output COUNT items, allowing repetition.\n"
"                              -n 1 is implied if not specified.\n"

Which is confusing as to what COUNT relates to.

Philipp